createBusinessmapConfiguration
Create a configuration for Businessmap integration
createBusinessmapConfiguration(
input: CreateBusinessmapConfigurationInput!
): CreateBusinessmapConfigurationPayload
Arguments
createBusinessmapConfiguration.input ● CreateBusinessmapConfigurationInput! non-null input
Parameters for CreateBusinessmapConfiguration
Type
CreateBusinessmapConfigurationPayload object
Autogenerated return type of CreateBusinessmapConfiguration.
Example request
This generated mutation uses placeholders for required values. Replace them with values available to your API key before running it.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"mutation MutateCreateBusinessmapConfiguration($input: CreateBusinessmapConfigurationInput!) {\n createBusinessmapConfiguration(input: $input) { clientMutationId defectTrackerConfiguration { id asanaDetail { __typename } asset { __typename } } }\n}","variables":{"input":{"scopeIntegrationId":"<scope_integration_id>","statusMappings":[{"internalIssueStatus":"CREATED","externalIssueStatus":"example"}],"workspace":{"id":"example-id","name":"example"},"board":{"id":"example-id","name":"example"},"workflow":{"id":"example-id","name":"example"},"lane":{"id":"example-id","name":"example"}}}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "mutation MutateCreateBusinessmapConfiguration($input: CreateBusinessmapConfigurationInput!) {\n createBusinessmapConfiguration(input: $input) { clientMutationId defectTrackerConfiguration { id asanaDetail { __typename } asset { __typename } } }\n}",
variables: {
"input": {
"scopeIntegrationId": "<scope_integration_id>",
"statusMappings": [
{
"internalIssueStatus": "CREATED",
"externalIssueStatus": "example"
}
],
"workspace": {
"id": "example-id",
"name": "example"
},
"board": {
"id": "example-id",
"name": "example"
},
"workflow": {
"id": "example-id",
"name": "example"
},
"lane": {
"id": "example-id",
"name": "example"
}
}
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "mutation MutateCreateBusinessmapConfiguration($input: CreateBusinessmapConfigurationInput!) {\n createBusinessmapConfiguration(input: $input) { clientMutationId defectTrackerConfiguration { id asanaDetail { __typename } asset { __typename } } }\n}",
'variables': json.loads("{\"input\":{\"scopeIntegrationId\":\"<scope_integration_id>\",\"statusMappings\":[{\"internalIssueStatus\":\"CREATED\",\"externalIssueStatus\":\"example\"}],\"workspace\":{\"id\":\"example-id\",\"name\":\"example\"},\"board\":{\"id\":\"example-id\",\"name\":\"example\"},\"workflow\":{\"id\":\"example-id\",\"name\":\"example\"},\"lane\":{\"id\":\"example-id\",\"name\":\"example\"}}}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute